---
search:
  tags:
    - Stories
    - GET
seo:
  description: >-
    Get a single generated story by slug. Reference for the GET /stories/{slug}
    endpoint in the Modem API.
sidebar:
  label: Get story
  badge: GET
title: Get story
type: openapi-operation
---
Get a single generated story by slug.

`GET /stories/{slug}`

**Responses**

- `200` — OK
- `400` — Invalid request (validation failed).
- `401` — Missing or invalid API key.
- `403` — The API key does not have access to this resource.
- `404` — The requested resource was not found.
- `429` — Rate limit exceeded.
- `500` — Internal server error.

Response example, 200:

```json
{
  "story": {
    "archive": {
      "actor": {
        "name": "Modem Agent",
        "type": "agent"
      },
      "archivedAt": "2019-08-24T14:15:22Z",
      "reason": "string"
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "draft": {
      "detail": {
        "main": {
          "elements": {
            "property1": {
              "children": [],
              "props": {
                "direction": "horizontal",
                "gap": "lg",
                "wrap": false
              },
              "type": "Stack"
            },
            "property2": {
              "children": [],
              "props": {
                "direction": "horizontal",
                "gap": "lg",
                "wrap": false
              },
              "type": "Stack"
            }
          },
          "root": "string"
        },
        "sidebar": {
          "elements": {
            "property1": {
              "children": [],
              "props": {
                "direction": "horizontal",
                "gap": "lg",
                "wrap": false
              },
              "type": "Stack"
            },
            "property2": {
              "children": [],
              "props": {
                "direction": "horizontal",
                "gap": "lg",
                "wrap": false
              },
              "type": "Stack"
            }
          },
          "root": "string"
        },
        "title": null
      },
      "list": {
        "elements": {
          "property1": {
            "children": [],
            "props": {
              "direction": "horizontal",
              "gap": "lg",
              "wrap": false
            },
            "type": "Stack"
          },
          "property2": {
            "children": [],
            "props": {
              "direction": "horizontal",
              "gap": "lg",
              "wrap": false
            },
            "type": "Stack"
          }
        },
        "root": "string"
      },
      "slug": "string",
      "sourceRefs": [],
      "summary": null,
      "title": null,
      "version": 1
    },
    "relevantMembers": [
      {
        "linkedAuthorIds": [
          "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        ],
        "memberId": "string",
        "relevanceKind": "action",
        "relevanceLabel": "string",
        "relevanceRationale": "string",
        "user": {
          "id": "string",
          "image": "string",
          "name": "string"
        }
      }
    ]
  }
}
```
